Bug 30433 - Convert advanced search tabs to Bootstrap
Summary: Convert advanced search tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 30424
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-04-01 13:02 UTC by Owen Leonard
Modified: 2022-05-13 15:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30433: Convert advanced search tabs to Bootstrap (8.53 KB, patch)
2022-04-01 13:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30433: Convert advanced search tabs to Bootstrap (8.60 KB, patch)
2022-04-20 16:47 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-01 13:02:22 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the advanced catalog search template with Bootstrap.
Comment 1 Owen Leonard 2022-04-01 13:14:08 UTC
Created attachment 132867 [details] [review]
Bug 30433: Convert advanced search tabs to Bootstrap

This patch updates the advanced search page in the staff interface to
use Bootstrap tabs instead of jQueryUI.

To test, apply the patch and test the advanced search interface. The
tabs should look correct and work correctly.
Comment 2 Martin Renvoize 2022-04-20 16:47:12 UTC
Created attachment 133492 [details] [review]
Bug 30433: Convert advanced search tabs to Bootstrap

This patch updates the advanced search page in the staff interface to
use Bootstrap tabs instead of jQueryUI.

To test, apply the patch and test the advanced search interface. The
tabs should look correct and work correctly.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-04-20 16:47:42 UTC
Perfec, PQA
Comment 4 Fridolin Somers 2022-05-02 21:24:38 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄